Bug 1122539 - mupdf: consider installing build/release/libmujs.a in devel package
Summary: mupdf: consider installing build/release/libmujs.a in devel package
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: mupdf
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Zhukov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1148319 1210318
Blocks: 1095455
TreeView+ depends on / blocked
 
Reported: 2014-07-23 13:06 UTC by abrouwers
Modified: 2015-08-17 11:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-06 16:52:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1219422 None None None Never

Internal Links: 1219422

Description abrouwers 2014-07-23 13:06:30 UTC
Description of problem:

I was recently trying to build a package for "llpp" on fedora.  After updating mupdf on my machine to a new enough version (*cough* :-)  ), I noticed that I also needed a static library from mupdf that "make install" doesn't get by default:  build/release/libmujs.a

I was thinking this might be a nice addition to the package.  I simply added:

install -Dm644 build/release/libmujs.a $RPM_BUILD_ROOT%{_libdir}

to the install section, and added the library to the files section for the -devel package.  Then, llpp built successfully.

Thanks for the consideration!

Comment 1 Pavel Zhukov 2014-07-23 14:42:59 UTC
Hmm, strange. I wasn't noticed before. Thank you for the report I'll take a look soon.

Comment 2 Petr Šabata 2014-11-03 15:14:41 UTC
I'm packaging zathura-pdf-mupdf which also requires libmujs.  Any progress here?

Comment 3 Pablo Rodríguez 2015-01-09 15:49:33 UTC
Are there any news on this?

Comment 4 Petr Šabata 2015-03-30 08:57:31 UTC
Ping?

Comment 5 Pablo Rodríguez 2015-04-27 17:19:30 UTC
Are there any news with mupdf-1.7?

Comment 6 François Cami 2015-04-28 09:58:26 UTC
To: abrouwers@gmail.com
Could you please post your updated MuPDF SPEC and SRPM somewhere?

Thank you.

Comment 7 Pavel Zhukov 2015-05-06 16:52:09 UTC
Mujs is thirdparty library and including is forbidden by Fedora packaging guidelines: https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries

Comment 8 Petr Šabata 2015-05-07 10:03:36 UTC
For all interested, I've submitted mujs for package review, bug #1219422.


Note You need to log in before you can comment on or make changes to this bug.